function getcolumns(setdrawer) {
    return [
        {
            tab: '我的待办',
            key: '1',
            columns: [
                {
                    title: '点检单号',
                    dataIndex: 'taskNo',
                    key: 'taskNo',
                    hideInForm: true,
                },
                {
                    title: '设备编号',
                    dataIndex: 'equipmentNo',
                    key: 'equipmentNo',
                    hideInForm: true,
                },
                {
                    title: '设备名称',
                    dataIndex: 'equipmentName',
                    key: 'equipmentName',
                    hideInForm: true,
                },
                {
                    title: '点检类型',
                    dataIndex: 'checkTypeName',
                    key: 'checkType',
                    hideInForm: true,
                    valueType: 'select',
                    options: [
                        {
                            label: '制造点检',
                            value: '1',
                        },
                        {
                            label: '设备点检',
                            value: '2',
                        },
                    ],
                },
                {
                    title: '点检截止日期',
                    dataIndex: 'checkCloseDate',
                    key: 'checkCloseDateList',
                    hideInForm: true,
                    valueType: 'dateRange',
                },
                {
                    title: '接单时间',
                    dataIndex: 'checkStartTime',
                    key: 'checkStartTime',
                    hideInForm: true,
                    hideInSearch: true,
                },
                {
                    title: '点检人',
                    dataIndex: 'checkUserName',
                    key: 'checkUserName',
                    hideInForm: true,
                    valueType: 'input',
                    hideInSearch: true,
                },
                {
                    title: '状态',
                    dataIndex: 'statusName',
                    key: 'status',
                    hideInForm: true,
                    valueType: 'select',
                    options: [
                        {
                            label: '待接单',
                            value: '1',
                        },
                        {
                            label: '点检中',
                            value: '2',
                        },
                    ],
                },
            ],
            pathconfig: {
                enableadd: false,
                enableedit: false,
                enabledelete: false,
                enabledetail: false,
                add: '',
                edit: '',
                list: '/check/umEquipmentCheckTask/queryCheckUndone',
                delete: '',
                detail: '',
            },
        },
        {
            tab: '未完成',
            key: '2',
            columns: [
                {
                    title: '点检单号',
                    dataIndex: 'taskNo',
                    key: 'taskNo',
                    hideInForm: true,
                },
                {
                    title: '设备编号',
                    dataIndex: 'equipmentNo',
                    key: 'equipmentNo',
                    hideInForm: true,
                },
                {
                    title: '设备名称',
                    dataIndex: 'equipmentName',
                    key: 'equipmentName',
                    hideInForm: true,
                },
                {
                    title: '点检类型',
                    dataIndex: 'checkTypeName',
                    key: 'checkType',
                    hideInForm: true,
                    valueType: 'select',
                    options: [
                        {
                            label: '制造点检',
                            value: '1',
                        },
                        {
                            label: '设备点检',
                            value: '2',
                        },
                    ],
                },
                {
                    title: '点检截止日期',
                    dataIndex: 'checkCloseDate',
                    key: 'checkCloseDateList',
                    hideInForm: true,
                    valueType: 'dateRange',
                },
                {
                    title: '接单时间',
                    dataIndex: 'checkStartTime',
                    key: 'checkStartTime',
                    hideInForm: true,
                },
                {
                    title: '点检人',
                    dataIndex: 'checkUserName',
                    key: 'checkUserId',
                    hideInSearch: false,
                    hideInForm: true,
                    valueType: 'select',
                    options: {
                        path: '/auth/sysUser/selection',
                        params: {},
                    },
                },
                {
                    title: '状态',
                    dataIndex: 'statusName',
                    key: 'status',
                    hideInForm: true,
                    valueType: 'select',
                    options: [
                        {
                            label: '待接单',
                            value: '1',
                        },
                        {
                            label: '点检中',
                            value: '2',
                        },
                    ],
                },
            ],
            pathconfig: {
                enableadd: false,
                enableedit: false,
                enabledelete: false,
                enabledetail: false,
                add: '',
                edit: '',
                list: '/check/umEquipmentCheckTask/queryCheckUndoneAll',
                delete: '',
                detail: '',
            },
        },
        {
            tab: '已完成',
            key: '3',
            columns: [
                {
                    title: '点检单号',
                    dataIndex: 'taskNo',
                    key: 'taskNo',
                    hideInForm: true,
                },
                {
                    title: '设备编号',
                    dataIndex: 'equipmentNo',
                    key: 'equipmentNo',
                    hideInForm: true,
                },
                {
                    title: '设备名称',
                    dataIndex: 'equipmentName',
                    key: 'equipmentName',
                    hideInForm: true,
                },
                {
                    title: '点检类型',
                    dataIndex: 'checkTypeName',
                    key: 'checkType',
                    hideInForm: true,
                    valueType: 'select',
                    options: [
                        {
                            label: '制造点检',
                            value: '1',
                        },
                        {
                            label: '设备点检',
                            value: '2',
                        },
                    ],
                },
                {
                    title: '点检截止日期',
                    dataIndex: 'checkCloseDate',
                    key: 'checkCloseDateList',
                    hideInForm: true,
                    valueType: 'dateRange',
                },
                {
                    title: '接单时间',
                    dataIndex: 'checkStartTime',
                    key: 'checkStartTime',
                    hideInForm: true,
                },
                {
                    title: '关单时间',
                    dataIndex: 'endTime',
                    key: 'endDateList',
                    hideInForm: true,
                    valueType: 'dateRange',
                },
                {
                    title: '点检人',
                    dataIndex: 'checkUserName',
                    key: 'checkUserId',
                    hideInForm: true,
                    valueType: 'select',
                    options: {
                        path: '/auth/sysUser/selection',
                        params: {},
                    },
                },
                {
                    title: '状态',
                    dataIndex: 'statusName',
                    key: 'status',
                    hideInForm: true,
                    valueType: 'select',
                    options: [
                        {
                            label: '已关单',
                            value: '3',
                        },
                        {
                            label: '已完成',
                            value: '4',
                        },
                        {
                            label: '超时关单',
                            value: '5',
                        },
                    ],
                },
            ],
            pathconfig: {
                enableadd: false,
                enableedit: false,
                enabledelete: false,
                enabledetail: false,
                add: '',
                edit: '',
                list: '/check/umEquipmentCheckTaskHis/queryCheckCompleted',
                delete: '',
                detail: '',
            },
        },
    ];
}
export default getcolumns;
